#!/bin/bash

declare -r FREEMEM=$(free |grep Mem: | awk '{print $4}')

if [ "${FREEMEM}" -lt 130000 ]; then
	echo "Not enough free ram, exiting"
	exit 1
fi



sed -i 's/stretch//buster//' /etc/apt/sources.list
sed -i 's/stretch/buster/' /etc/apt/sources.list.d/*
# Check other sources if needed


# Can resolve dpkg issue :
# echo "" > /var/lib/dpkg/available
# sh -c 'for i in /var/lib/apt/lists/*_Packages; do dpkg --merge-avail "$i"; done'

apt update
apt dist-upgrade -y
apt autoclean -y
apt autopurge -y

echo ""
hostname
echo ""
echo "If ssh login take time in container, enable nesting on hypervisor."
echo ""
read -n 1 -s -r -p "Press any key to reboot"
reboot
